Bug 81592 - Bad Quality/Rendering of EPS graphics in LO 4.2 and 4.3
Summary: Bad Quality/Rendering of EPS graphics in LO 4.2 and 4.3
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta1
Hardware: All All
: highest normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0 target:4.3.3 target:4.2.7
Keywords: notBibisectable, regression
Depends on:
Blocks: Images-EPS mab4.2
  Show dependency treegraph
 
Reported: 2014-07-21 09:20 UTC by Gerry
Modified: 2018-07-04 10:40 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot-EPS-rendering-quality-regression_Left-is-LO425-Right-is-LO414.png (399.89 KB, image/png)
2014-07-21 09:20 UTC, Gerry
Details
EPS-test-file.eps (70.81 KB, image/eps)
2014-07-21 09:21 UTC, Gerry
Details
Another-EPS-test-file-without-preview.eps (16.08 KB, image/x-eps)
2014-07-22 15:18 UTC, Gerry
Details
Another-EPS-test-file-with-preview.eps (352.00 KB, image/x-eps)
2014-07-22 15:18 UTC, Gerry
Details
Test-document-with-graphics-from-comment-6-7-inLO41.odt (29.58 KB, application/vnd.oasis.opendocument.text)
2014-07-23 07:19 UTC, Gerry
Details
Test-document-with-graphics-from-comment-6-7-inLO41.pdf (51.50 KB, application/pdf)
2014-07-23 07:19 UTC, Gerry
Details
eps pdf svg of S154_HURD Fraction Anthem (74.59 KB, application/zip)
2014-09-07 20:32 UTC, V Stuart Foote
Details
Zip archive with sample ODT and three PDF renderings (177.79 KB, application/zip)
2014-09-15 15:39 UTC, V Stuart Foote
Details
Zip archive with same three PDF renderings but from LO 4.1.5.3 (245.08 KB, application/zip)
2014-09-15 17:22 UTC, V Stuart Foote
Details
printout via LO 4.1.6.2 and newer versions (15.19 KB, application/pdf)
2014-09-22 18:38 UTC, Jörn Schwarz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerry 2014-07-21 09:20:07 UTC
Created attachment 103176 [details]
Screenshot-EPS-rendering-quality-regression_Left-is-LO425-Right-is-LO414.png

It seems that LibreOffice 4.2.5 has a severe issue with handling of EPS files. The rendering quality of (some) EPS graphics in LibreOffice 4.2.x has dramatically deteriorated over the 4.1.x line, making it unusable for publications.

The problem exists in on-screen rendering in LO, in printing and PDF export. While the quality on 4.1.x was perfect, the quality of EPS in LO 4.2.5 looks on screen like a bad scan of a newspaper. Please have a look at attached screenshot showing on the left side the quality of the same EPS graphic in LibreOffice 4.2.5 and on the right side in LO 4.1.4. Quality has deteriorated a lot!

Please also find attached a sample .eps file. If you insert it in a Writer document on 4.1.x and then on 4.2.x you will notice the difference. BTW, the same quality difference exists if the document with image was saved in 4.1.x and then reopened in 4.2.x.

LibreOffice
Version: 4.2.5.2
Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5
Ubuntu 14.04 Gnome3 64-bit
Comment 1 Gerry 2014-07-21 09:21:14 UTC
Created attachment 103177 [details]
EPS-test-file.eps
Comment 2 ign_christian 2014-07-21 09:49:38 UTC
Just did testing insertion in Writer with attached eps with Ubuntu 12.04 x86, confirm same result as attached screenshot.

Bad result: LO 4.2.0.0.beta1, 4.2.6.1, 4.3.0.3

Good result : LO 4.1.6.2
Comment 3 V Stuart Foote 2014-07-21 21:32:32 UTC
Per fdo bug 64161#23 the issue is with the pstoedit which handles the emf conversion to emf for preview and image output to PDF.

Alternative to this internal conversion via pstoedit, is conversion external to LO to emf or svg format.

And of course on Windows and OS X most systems will not have pstoedit installed and configured.

Caolan, any comment on improving the pstoedit conversion? Should folks look to conversion exterior to LO?
Comment 4 Caolán McNamara 2014-07-22 13:53:18 UTC
If you call pstoedit with one set of command line options you solve one subset of problems, if you use it with another you solve a different subset. So we never render eps, we either use the preview in the image, or call pstoedit to generate one in emf format. Generating eps previews for eps that don't provide one was always a hack (and I wish I never implemented it). The generator in this case is "strata", I suggest using the "preview on" feature to get it to generate a tiff preview in the eps to see if strata previews are better than pstoedits.

With the above attachment the thing to check here is to use pstoedit manually to generate the emf

pstoedit -usebbfrominput -f emf:-OO -drawbb input.eps output.emf

and see if the rendering of that emf is different in different versions of LibreOffice, i.e. is there a regression in emf rendering.
Comment 5 Gerry 2014-07-22 15:17:39 UTC
Thanks a lot Caolan for looking into the bug.

(1) Yes, the statistical package Stata is the generator. With the option "preview on", I got much worse results on LO 4.1.x (you could see pixels and images not sharp) than using "EPS without preview". That's why I deactivated it for the graphics in all my documents using LO 4.0.x and 4.1.x. (My different documents contain about 200 eps graphics altogether, hence it is difficult to change that for existing documents).
-> Please find attached two sample eps files, one with preview and one without preview. I just loaded them in 4.1.4 and the one with preview looked terrible.

(2) BTW, my tests with LO 4.2.5 and 4.1.4 are on exactly the same system (=the pstoedit version was the same)

(3) Running the pstoedit command, I get following error message:

$pstoedit -usebbfrominput -f emf:-OO -drawbb EPS-test-file.eps EPS-test-file.emf
unknown option -drawbb
pstoedit: version 3.60 / DLL interface 108 (built: Jul 13 2012 - release build - g++ 4.7.1 - 64-bit) : Copyright (C) 1993 - 2011 Wolfgang Glunz
Unsupported output format emf

What is the next step? If I shall do/test something, please tell. Thanks
Comment 6 Gerry 2014-07-22 15:18:31 UTC
Created attachment 103284 [details]
Another-EPS-test-file-without-preview.eps
Comment 7 Gerry 2014-07-22 15:18:56 UTC
Created attachment 103285 [details]
Another-EPS-test-file-with-preview.eps
Comment 8 Michael Stahl (CIB) 2014-07-22 20:19:13 UTC
reading comment #5 i wonder what this means: "Unsupported output format emf"

does installing a newer version of pdftoedit improve anything?
Fedora 20 has 2.62 apparently...
Comment 9 Gerry 2014-07-22 21:09:00 UTC
@Michael Stahl: Good question, I really don't know. The repository does not offer a newer version of pstoedit (probably the same with the LTS 12.04 as per comment 2). But, if this is an issue, why did the EPS rendering correctly work in LO version 4.1? Did the architecture to handle EPS completely change between 4.2 and 4.1?
Comment 10 Gerry 2014-07-23 07:19:01 UTC
Created attachment 103322 [details]
Test-document-with-graphics-from-comment-6-7-inLO41.odt

For completeness, the attachment illustrates that the "EPS with preview" leads to quite bad results in LO 4.1, while "EPS without preview" shows good quality. see the example .odt and .pdf with the two test files from comment 6 and comment 7. 

Hence, that the quality of "EPS without preview" graphics heavily regresses in LO 4.2/4.3 is a real problem.
Comment 11 Gerry 2014-07-23 07:19:25 UTC
Created attachment 103323 [details]
Test-document-with-graphics-from-comment-6-7-inLO41.pdf
Comment 12 Yousuf Philips (jay) (retired) 2014-07-27 17:17:20 UTC
Another EPS bad rendering issue when exporting to PDF can be found in bug 81497.
Comment 13 Joel Madero 2014-07-30 04:20:56 UTC
Ubuntu 14.04 x64 - Confirmed regression

Unfortunately not bibisectable :( I do indeed see a regression though. Don't think it has anything to do with pstoedit as the only thing changing during bibisect is libreoffice and you can see the regression.

Setting priority:
Normal - can prevent high quality/professional work
High - regression
Comment 14 Jörn Schwarz 2014-08-02 17:47:59 UTC
Hello,

please have a look at bug 81497, dated 2014-08-18.
It also occures in 4.3.0 under Windows XP and 7.
And the eps-files are generated with Calc and Draw.
Comment 15 Yousuf Philips (jay) (retired) 2014-08-02 21:38:11 UTC
*** Bug 81497 has been marked as a duplicate of this bug. ***
Comment 16 Mary Anne 2014-08-07 17:02:04 UTC
This is a bad regression.
With LO 4.2.x and 4.3.x it is not possible to create publications with high quality grafics anymore.
And it worked without problems for many years.
Comment 17 Joel Madero 2014-08-07 20:42:48 UTC
As far as I know this only affects EPS files, so if you convert these using any number of software to jpeg or png then you should still be able to get high quality/professional work.
Comment 18 Gerry 2014-08-08 06:09:26 UTC
@Joel: Thanks for your comment. However, your advice in comment 17 is highly problematic for some reasons:
- EPS is the only vector graphics format which is supported on export from many applications (e.g. statistical software). Inserting them in Libreffice was always possible without problems.
-All documents which were created with embedded EPS files are useless in LO 4.2 and 4.3. I mean, no one can ask the users to rip off dozens of EPS graphics in nicely formatted theses/books/articles, somehow export them from LO, convert them in another piece of software to another format, insert them again in LO and do all the formatting again.
- Pixel graphics formats like jpg or png are just a quite bad workaround. EPS as vector format was just perfect for the same document to self-publish(using LO) and to a publisher (who usually requests EPS for graphics exchange). Hence, there is currently no real alternative to EPS for many user scenarios (at least in academia).

Honestly, I don't know what to do, if the last version of the LO 4.2-line (upcoming 4.2.7) doesn't fix this bug. Currently, I am locked to the EOL LibreOffice 4.1.x-line, but I cannot always keep an old version of LibreOffice on the system to properly access my documents...
Comment 19 Björn Michaelsen 2014-08-21 12:17:13 UTC
(This is an automated message.)

Setting priority to highest as this is a MAB. This is part of an effort to make the importance of MAB reflected in priority too.
Comment 20 Gerry 2014-08-27 07:04:33 UTC
Will this EPS rendering regression be fixed for LO 4.2.7 ?

I am asking because I am stuck between the versions: On my 200+ pages document, LO 4.2.x is significantly more stable and performant than 4.1.x and has a few new features I need, but it fails outputting EPS graphics. Hence, I am stuck with 4.1.x. with aforementioned drawbacks.

Thanks in advance!
Comment 21 Jörn Schwarz 2014-08-27 07:55:11 UTC
Gerry asked in comment 20 whether the rendering regression will be fixed for LO 4.2.7.

I can't use the 4.2.x line because of bug 74333 which is already fixed – but only for LO 4.3.x.
Therefore from my point of view it would be better to implement the fixing in LO 4.3.x.

Thanks in advance!
Comment 22 Commit Notification 2014-09-05 15:34:10 UTC
Björgvin Ragnarsson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=247f87bc08e2f71e44d8f7f9af791e9288714985

fdo#81592 Use 24-bit color depth, not 256 colors when converting an EPS-file.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 V Stuart Foote 2014-09-05 16:37:13 UTC
@Björgvin, *,

Cool! That was obscure, so the work on bug 41407 to speed up EPS processing by switching from ImageMagick's convert to ghostscript based rendering of a PNG preview--done just at release for the 4.2.0 branch--caused the long running regression.

So now with a 24-bit PNG preview, fidelity of rendered EPS should return. So that's great.

But what about retaining the EPS structure as vector? We keep the EPS around for printing to a PS printer, but we do everything else with bitmap previews.  Is there any chance of working internally in a vector format?  EPS -> SVG perhaps as an import filter? And further refine handling of SVG.

Already have ghostscript, poppler and cairo in the mix--doesn't that get us most of the way to a "built-in" filter handling of EPS as in bug 67464
Comment 24 V Stuart Foote 2014-09-05 16:42:37 UTC
>But what about retaining the EPS structure as vector? We keep the EPS around for printing to a PS printer, but we do everything else with bitmap previews.

Oops, adjust that... but other than the pstoedit conversion to emf/wmf, which has become unreliable if remaining in vector, we do everything else with bitmap previews.
Comment 25 Jean-Baptiste Faure 2014-09-06 06:40:53 UTC
Hi Björgvin Ragnarsson,

Thank you very for this fix. Works well on the master (Build ID: 114f3b83b9f850abf57f86836bbc579c4d41aaca) build at home under Ubuntu 14.04 x86-64.
Do you plan to backport the fix to 4.3 and 4.2 branches ?

Best regards. JBF
Comment 26 Yousuf Philips (jay) (retired) 2014-09-06 11:01:56 UTC
Does this fix also fix the poor rendering of images mentioned my bug 82870, which also is a 4.2 regression.
Comment 27 Jean-Baptiste Faure 2014-09-06 12:07:30 UTC
(In reply to comment #26)
> Does this fix also fix the poor rendering of images mentioned my bug 82870,
> which also is a 4.2 regression.

No. Unless I am mistaken, this bug is about color while your bug 82870 is about aliasing.

Best regards. JBF
Comment 28 Björgvin Ragnarsson 2014-09-07 17:48:54 UTC
@Michael Stahl, Gerry:

The message "Unsupported output format emf" is there in pstoedit because it is not compiled with libemf support in Ubuntu/Debian --> it doesn't work.

@V Stuart Foote:
I wouldn't say it's that obscure, the most likely suspects would have been the only two commits on the 4.2 branch mentioning EPS in the message: http://cgit.freedesktop.org/libreoffice/core/log/?h=libreoffice-4-2-0&qt=grep&q=+EPS

Improving import as a vector with an external tool (perhaps finding an alternative to pstoedit) should be discussed in its own bug report. In my opinion that could very well provide shorter term improvements over the long term 67464.

@Jean-Baptiste Faure:

Yes, I was planning on backporting the fixes, perhaps after a bit more feedback. Is the duplicate issue 81497 fixed as well with this change?
Comment 29 V Stuart Foote 2014-09-07 20:04:06 UTC
(In reply to comment #28)

>... Is the duplicate issue 81497 fixed as well with this change?

Believe that has been, and remains a different but related issue. For some reason between 4.1 and 4.2 builds. As reported in bug 81497--we appear to be losing track of the EPS--and are no longer passing it back during PS printing. Made worse when we use a low resolution preview included with the EPS.

Looking at attachment from OP for issue 81497 (attachment 103043 [details]), the PDF printed to PS with 4.1.6.2 has very crisp vector rendering of the EPS. But the PDF printed to PS from 4.2.5.2 has poor rendering and looks to be using either the included preview image, or the gs (or convert) BMP preview image at 300dpi.

This continues through 4.3 and is still present in master with the 24-bit vs. 256 bit gs rendering in the http://cgit.freedesktop.org/libreoffice/core/commit/?id=247f87bc08e2f71e44d8f7f9af791e9288714985 so not yet correct.
Comment 30 V Stuart Foote 2014-09-07 20:32:15 UTC
Created attachment 105870 [details]
eps pdf svg of S154_HURD Fraction Anthem

A test file to work with to generate your own sample documents, exports prints

EPS w/~100dpi preview (from bug 81497)
PDF (ghostscript ps2pdf -EPSCrop conversion)
SVG (pdf2svg conversion -- D. Barton's)
Comment 31 Gerry 2014-09-08 13:25:58 UTC
@Björgvin: Thanks for the fix in commment 22. I have not yet tried it out, but I was surprised that the change comprises only "bmp256" -> "bmp16m". Very nice. 

For my better understanding: Was this bug actually a 'real regression'? Or in other words, how could this "bmp256" originally slip into the LibreOffice 4.2-line (as the bug was not present in LO 4.1.x)?

Is the "Unsupported output format emf" on Ubuntu a problem regarding the fix of this bug or will it just work after your fix like it was in the 4.1.-line?
Thanks a lot!
Comment 32 Jörn Schwarz 2014-09-12 16:30:13 UTC
In comment 22, dated 2014-09-05, Bjørgvin Ragnarsson wrote that the patch should be included in the daily builds in the next 24-48 hours.
I tried LO 4.4.0.0 – 2014-09-09_23.33.59 and had to realize, that the bug is not fixed. The quality is as bad as it is since LO 4.2.x. 
Wheras LO 4.1.6.2 delivers best quality.
Comment 33 Björgvin Ragnarsson 2014-09-14 20:22:08 UTC
@Gerry: 256 color rendering with 'gv' has been for ages in the codebase but it was only used when the program 'convert' wasn't available. Apparently that is a very uncommon setup so bugs weren't reported on that.


@Jörn Schwarz: I just tested adding EPS-test-file.eps to a Writer document in build

Version: 4.4.0.0.alpha0+
Build ID: e2723d00b77dc1044e2ba599ba93517af34e1ea5
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-09-09_23:17:41

and it gave me similar quality as is seen on the right in this screenshot https://bugs.freedesktop.org/attachment.cgi?id=103176 . Is that not the case for you?
Comment 34 Jörn Schwarz 2014-09-15 08:23:25 UTC
In comment # 33 Björgvin Ragnarsson wrote that he added an EPS-test-file to a Writer document and that the printout via 4.4.0.0.alpha0+ gave him a 'similar quality on a screenshot'.

But a screenshot is always a bitmap – not a vector graphic. Therefore the difference in printouts via GhostScript or Adobe Acrobat cannot be seen.

In "Test-document-with-graphics-from-comment-6-7-inLO41.pdf" (see above) you can see the difference: In the first case the bitmap (incorporated in the eps-file)is printed. In the second case the eps-file itself is printed, and that's the way it was since OOo 1.0 up to LO 4.1.6.2.
Comment 35 V Stuart Foote 2014-09-15 15:39:28 UTC
Created attachment 106328 [details]
Zip archive with sample ODT and three PDF renderings

On Windows 7 sp1, 64-bit with
Version: 4.4.0.0.alpha0+
Build ID: 9195fd3819197c14f6fc018483075c4be5bf85fd
TinderBox: Win-x86@39, Branch:master, Time: 2014-09-09_05:00:16

GPL Ghostscript 9.14 (2014-03-26)

pstoedit: version 3.62 / DLL interface 108 (built: Apr 28 2013 - release build - MS VC++ 1600 - 32-bit) : Copyright (C) 1993 - 2013 Wolfgang Glunz

ImageMagick 6.8.9-0 Q16 x86 2014-04-06
Features: DPC OpenMP
Delegates: bzlib cairo freetype jbig jng jp2 jpeg lcms lqr pangocairo png ps rsvg tiff webp xml zlib

Noticeable kerning issues with both print filter and export filter. Also pstoedit/GS continues to do a poor job with density of converting curves to segments--both with vector preview, but also on Export to PDF.

Something is still not correct.
Comment 36 V Stuart Foote 2014-09-15 16:58:23 UTC
(In reply to comment #35)
> 
> pstoedit: version 3.62 / DLL interface 108 (built: Apr 28 2013 - release
> build - MS VC++ 1600 - 32-bit) : Copyright (C) 1993 - 2013 Wolfgang Glunz
> ...
> Something is still not correct.

Went back and tried with earlier builds of pstoedit--3.61, 3.60, 3.50--all having similar issues in LibreOffice (ieps.cxx) with rendering curves (postscript--circle arc or bezier curveto?) with too few or mispositioned vertices/segments.
Comment 37 V Stuart Foote 2014-09-15 17:22:46 UTC
Created attachment 106336 [details]
Zip archive with same three PDF renderings but from LO 4.1.5.3

This zip file contains PDF renderings of the sample .ODT done with LibreOffice 4.1.5.3 build.

Note the Export to PDF uses a raster rendering of the EPS. 

But at that point of development the LibreOffice print filters are using the EPS (or is it an EMF/WMF based vector image), either case all vectors are properly positioned and rendered in the result.

And that at this point LibreOffice had full vector resolution when printing out to PS based PDF printer--Adobe Distiller 9, or GS based CutePDF. 

Able to zoom in with full fidelity or send for publication.  No longer the case.
Comment 38 Björgvin Ragnarsson 2014-09-15 22:07:03 UTC
@Jörn: I looked at a screenshot yes, the screenshot provided by the original bug reported to distinguish between a buggy and a working version and found that the build looked like the working version 4.1.4.

Also, "Test-document-with-graphics-from-comment-6-7-inLO41.pdf" does not show the difference between a vector and a bitmap. both images are bitmaps while the lower one has resolution decent enough for printing.


@V Stuart Foote: I think the regression you describe should get its own bug report and tackled there, since the problem as described by the original bug reporter has already been fixed.



--

I went ahead and submitted the fix for inclusion in the 4.2 and 4.3 branches.
Comment 39 V Stuart Foote 2014-09-15 22:30:10 UTC
@Björgvin, *,
(In reply to comment #38)
> 
> @V Stuart Foote: I think the regression you describe should get its own bug
> report and tackled there, since the problem as described by the original bug
> reporter has already been fixed.

Reopened bug 81497 and set new for loss of EPS vector detail when printing/exporting to PDF.
Comment 40 Commit Notification 2014-09-17 12:07:44 UTC
Björgvin Ragnarsson committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7493c458780cce40f1b564b719c4445b8920f259&h=libreoffice-4-3

fdo#81592 Use 24-bit color depth, not 256 colors when converting an EPS-file.


It will be available in LibreOffice 4.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 41 Gerry 2014-09-19 04:16:11 UTC
@Björgvin: Would it be possible to release the patch also for LO 4.2.7? This is the last version of the 4.2.x-line and its freeze date is in a few days. Thanks!
Comment 42 Jörn Schwarz 2014-09-22 18:38:40 UTC
Created attachment 106686 [details]
printout via LO 4.1.6.2 and newer versions
Comment 43 Jörn Schwarz 2014-09-22 18:41:10 UTC
Today I tested the daily build LO 4.3.3.0.0-2014-09-22.
But it still doesn't print correctly (see "printout via LO 4.1.6.2 and newer versions")
Comment 44 V Stuart Foote 2014-09-22 19:34:46 UTC
@Jörn, *,
(In reply to comment #43)
> Today I tested the daily build LO 4.3.3.0.0-2014-09-22.
> But it still doesn't print correctly (see "printout via LO 4.1.6.2 and newer
> versions")

At this point, a Ghostscript only based conversion to bitmap (as BMP) is rendering EPS at 300dpi.  That is as good as it gets for 4.2 and 4.3 and master. Not clear in your script sample how far zoom'd into the image you were.

Bug 81497 is open for issues of EPS vector not being retained and used for printing to PS (or for Export to PDF), at present the pstoedit rendering of EPS as EMF/WMF is very rough with too few vertices being generated and poor use of arcs, cords and splines. Use of EPS vector images for PS printing was correct through the 4.1 builds, but has gone missing.  To get functional output, rename or uninstall pstoedit.
Comment 45 Gerry 2014-09-23 07:01:47 UTC
I must admit that I am getting really nervous about this bug and the EPS regressions since LO 4.2.x. I use LibreOffice everyday in a professional environment, so you can count me to the "conservative users". The fresh line has too many problems, so I need to use the "still" line. However, these have severe EPS regressions.

The 4.2.7 freeze is on the 29th of September and there is no fix for this bug 81592 and not for bug 81497. Also, Jörn showed in comment 42 and comment 43 that this fix is incomplete and does not fix the problem.

Conclusion: I *cannot do my work* on any fairly new LibreOffice version (4.2.x and 4.3.x line). I am bound to 4.1.x, which is EOL. Many have switched to 4.2.x or 4.3.x, but we cannot exchange documents containing EPS graphics. IMHO this is a disaster for LibreOffice!
Comment 46 Commit Notification 2014-09-23 13:03:47 UTC
Björgvin Ragnarsson committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bdefc56961919499cc6fda5a39c791ac6c67ca5f&h=libreoffice-4-2

fdo#81592 Use 24-bit color depth, not 256 colors when converting an EPS-file.


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 47 V Stuart Foote 2014-09-23 13:25:05 UTC
OK, so while Björgvin's commit has gotten us back to a proper bit depth BMP raster rendering of the EPS, mis-handling of vector WMF/EMF with pstoedit leaves 4.2 and 4.3 branches with a rather low resolution 300dpi preview.

Pending any useful response from Wolfgang Glunz on pstoedit, it should probably be removed (commented out) as it is providing no desirable vector rendering functions when present on the system path, leaving only ghostscript or Imagemagick convert as functional helpers and leaving us with bitmap only previews.

Until we can identify where we have clobbered the PS vector printing using the raw EPS (bug 81497) what would be the effect of upping the ghostscript to BMP conversion resolution? Rather than current 300dpi, would a 450dpi or even 600dpi conversion be too resource intensive? Could we insert that for the 4.2.7 final bugfix build?
Comment 48 Joel Madero 2014-09-23 22:35:40 UTC
@Gerry - we prefer if people "do" instead of using words that honestly give us NOTHING (literally absolute nothing) to help move us towards a solution.

So the options:
1. Fix it yourself;
2. Pay for a fix;
3. Find a friend/family/etc... who knows code to fix it;
4. Wait for a developer to fix it (volunteers).

Adding all that extra language doesn't encourage volunteers to help, doesn't show that you're being part of the community, nor add a thing to the bug report so it just clogs it.

Remember Libre is not limited to "free" - we have a community who tries to support each other. If this is such a blocker for you - please sponsor a developer to fix it (or of course fix it yourself)...or again, wait patiently for a fix.
Comment 49 Björgvin Ragnarsson 2014-09-23 23:24:03 UTC
I would like to add:

5. Help out in the hunt for the code that caused the remaining regression: https://wiki.documentfoundation.org/QA/HowToBibisect
Comment 50 V Stuart Foote 2014-09-24 04:58:55 UTC
(In reply to comment #49)
> I would like to add:
> 
> 5. Help out in the hunt for the code that caused the remaining regression:
> https://wiki.documentfoundation.org/QA/HowToBibisect

See bug 81497 c#15
Comment 51 Gerry 2014-09-24 07:32:00 UTC
@Björgvin @Joel: I sincerely apologize if my previous comment sounded rude. This was not my intention. You know that I am myself active in bug reporting and testing, and on the documentfoundation wiki. I am not a programmer and I have already donated money for enhancements. I really do not want to upset volunteers.

Why did I write my previous comment? Because these EPS regressions have the negative capability to drive users away from LibreOffice, because it makes completed work unusable. I makes users angry and they feel unsafe using LibreOffice (because something is not working anymore which did work for years). This is particularly the case with LO users that are not technically very capable.

For example, we have several documents with EPS graphics which different people collaborate on. No one is using LO 4.1.x anymore (but myself due to these regressions), so there was enormous confusion whether it is necessary to rework the graphics in the documents (which is a lot of work). I am also anxious to lose quite some of my work if these regressions remain.

I hope you now understand the intention of my previous comment. Sorry again.
Comment 52 Joel Madero 2014-09-24 14:06:58 UTC
@Gerry - perfectly understood but you being active (I thought you were the same Gerry by the way:) ) should understand that there are literally thousands of open bugs and it's hard to say "this one is soooooo bad" compared to the other ones. That being said - the patch hasn't resolved things? Why is there a "target . . . " if the bug still exists with the patches.
Comment 53 V Stuart Foote 2014-09-24 14:31:49 UTC
@Joel, *,
(In reply to comment #52)
> ... That being said - the patch hasn't resolved
> things? Why is there a "target . . . " if the bug still exists with the
> patches.
Right you are...

Patch for the primary BMP bit-depth issue was pushed down to 4.2,
https://gerrit.libreoffice.org/gitweb?p=core.git;a=commit;h=bdefc56961919499cc6fda5a39c791ac6c67ca5f

It will be picked up during the final builds for 4.2.7 

Setting resolved fixed.  Bug 81497 remains open for the other issue of PS printing of EPS.
Comment 54 Robinson Tryon (qubit) 2015-12-17 10:57:35 UTC
Migrating Whiteboard tags to Keywords: (notBibisectable)
[NinjaEdit]